View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
16948Bug reportsTheme editorpublic2021-03-10 22:11
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.24.0 
Summary16948: Uploading an image through the theme options fails
Description

Uploading an image through the theme options fails

Steps To Reproduce

Latest ls3
1.) Extend the fruity theme
2.) Edit the theme options of the extended theme and at the bottom upload a png file
note, theme options, not the theme files

upload bar will quickly show up and roll back. in the console you can see an error 500

Additional Information

https://github.com/LimeSurvey/LimeSurvey/commit/eef20220d91ed102bb8d55394c334a8778f22136#r45696838

I think bug was introduced here:
https://github.com/LimeSurvey/LimeSurvey/commit/3376b3ca24d0209015080c48ab1dd33593696a2d

TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)3.24.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16949 closedgabrieljenik Uploading an image through the theme options fails 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Related Changesets

LimeSurvey: 3.x-LTS 8ed54601

2021-01-06 15:58:59

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16948: Uploading an image through the theme options fails (#1711)

Dev Removing call for $checkImageFilename
Affected Issues
16948
mod - application/controllers/admin/themes.php Diff File

Issue History

Date Modified Username Field Change
2021-01-06 15:37 gabrieljenik New Issue
2021-01-06 15:37 gabrieljenik Status new => assigned
2021-01-06 15:37 gabrieljenik Assigned To => gabrieljenik
2021-01-06 15:37 gabrieljenik Issue generated from: 16733
2021-01-06 15:57 gabrieljenik Note Added: 61446
2021-01-06 15:59 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 8ed54601
2021-01-06 15:59 gabrieljenik Note Added: 61447
2021-01-06 15:59 gabrieljenik Resolution open => fixed
2021-01-06 16:00 gabrieljenik Issue cloned: 16949
2021-01-07 18:31 gabrieljenik Relationship added related to 16949
2021-03-10 22:11 ollehar Status assigned => closed